Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739929 - python2-tw2-jquery fails to install in Fedora 31
Summary: python2-tw2-jquery fails to install in Fedora 31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tw2-jquery
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:33 UTC by Miro Hrončok
Modified: 2019-09-14 16:31 UTC (History)
4 users (show)

Fixed In Version: python-tw2-jquery-2.2.0.2-10.fc32 python-tw2-jquery-2.2.0.2-10.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:06:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:33:47 UTC
python2-tw2-jquery-2.2.0.2-8.fc31.noarch fails to install in Fedora rawhide:

  nothing provides python2.7dist(tw2.core) >= 2.0b2 needed by python2-tw2-jquery-2.2.0.2-8.fc31.noarch
  nothing provides python2-tw2-core needed by python2-tw2-jquery-2.2.0.2-8.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 16:55:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:09:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-21 15:47:15 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 4 Lumír Balhar 2019-08-27 06:43:50 UTC
Also, could you please switch from python2-beautifulsoap to python2-beautifulsoap4 which has dual support for both Pythons.

Comment 5 Jan ONDREJ 2019-08-27 06:54:53 UTC
How does this package depend on beautifulsoap?

Btw, I think I can't maintain this package. It has many security bugs and doesn't provide anything special.

Also contains bundled jquery packages of multiple versions, which is not a good solution for Fedora.

Comment 6 Lumír Balhar 2019-08-27 07:08:29 UTC
(In reply to Jan ONDREJ from comment #5)
> How does this package depend on beautifulsoap?

From the [specfile] it seems that it needs beautifulsoup for testing.

> Btw, I think I can't maintain this package. It has many security bugs and
> doesn't provide anything special.
> 
> Also contains bundled jquery packages of multiple versions, which is not a
> good solution for Fedora.

Then I think that the best solution here is to [orphan] the package and let the maintainers of dependent packages know.

[specfile] https://src.fedoraproject.org/rpms/python-tw2-jquery/blob/master/f/python-tw2-jquery.spec#_56
[orphan] https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Orphaning_Procedure

Comment 7 Jan ONDREJ 2019-08-27 08:30:44 UTC
tw2-jquery has been set to orphan. Not reporting anywhere, due that this package has been set to me just yesterday.

I have to work on other tw2-core and tw2-forms packages.

Comment 8 Miro Hrončok 2019-08-28 12:33:22 UTC
Python 2 subpackage removed in rawhide. Fedora 31 package doesn't build.

Comment 9 Fedora Update System 2019-08-28 22:11:36 UTC
FEDORA-2019-1466871ada has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1466871ada

Comment 10 Miro Hrončok 2019-08-30 11:59:16 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 11 Fedora Update System 2019-08-30 12:17:14 UTC
python-tw2-jquery-2.2.0.2-10.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1466871ada

Comment 12 Geoffrey Marr 2019-09-03 21:47:01 UTC
Discussed during the 2019-09-03 blocker review meeting: [1]

The decision to classify this bug as a "RejectedFreezeException" was made as this is not on any of the release media, so we can just leave the update process to handle it. Note it was not submitted for stable before the old freeze date.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-03/f31-blocker-review.2019-09-03-16.01.txt

Comment 13 Jan ONDREJ 2019-09-04 04:28:41 UTC
I think it's enough to push python-tw2-core and python-tw2-jquery packages from f31 testing to stable to fix this. Can somebody push them to stable or at least add karma? Here are required updates:

https://bodhi.fedoraproject.org/updates/FEDORA-2019-fe6025135e
https://bodhi.fedoraproject.org/updates/FEDORA-2019-1466871ada

Additional info:
python-tw2-core has been retired aprox. one week ago. I took this package and currently it's supported. It's also supported by upstream, so no need to orphan or retire it. Just need to be readded back to Fedora 31. Already done in F32.

Comment 14 Fedora Update System 2019-09-14 00:06:59 UTC
python-tw2-jquery-2.2.0.2-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-14 16:31:08 UTC
python-tw2-jquery-2.2.0.2-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.